paths:
    base_dir : "/mnt/lustre02/work/mh0010/m300408/DVC-test/EUREC4A-ICON/EUREC4A/dev"  # work directory
    input:
        datadir_fmt : "/work/bb1156/ICON-1.25km/DATA/%Y%m%d%H"
        datadir_file_fmt : "${paths.input.datadir_fmt}/dei4_EUREC4a_%Y%m%d%H_fg_DOM01_ML_00{timestep:02g}.nc"
        input_grid : "${paths.base_dir}/grids/iconR02B11_DOM01.nc"  # Input grid
        gridfile_pref: "Testdomain_land_DOM01_DOM01"
        local_grid : "${paths.base_dir}/grids/${paths.input.gridfile_pref}.nc"

    binaries:
        icontools_dir : "/pf/b/b380411/gitmpi/dwd_icon_tools/icontools"  # DWD icon tools binaries
        iconsub : "${paths.binaries.icontools_dir}/iconsub_mpi"
        remap : "${paths.binaries.icontools_dir}/iconremap_mpi"

    output:
        outdir_latbc_fmt : "${paths.base_dir}/latbc/%Y%m%d/latbc_${paths.input.gridfile_pref}_%Y%m%d%H.nc"
        outdir_auxiliary_grid : "${paths.base_dir}/latbc"
        auxiliary_grid : "lateral_boundary_DOM01"
        outdir_initc_fmt : "${paths.base_dir}/initc/%Y%m%d/initc_${paths.input.gridfile_pref}_%Y%m%d%H.nc"


    namelists:
        templates:
            iconsub: "${paths.base_dir}/run/namelists/iconsub_template.yaml"
            iconremapfields_latbc: "${paths.base_dir}/run/namelists/iconremapfields_latbc_template.yaml"
            iconremapfields_initc: "${paths.base_dir}/run/namelists/iconremapfields_initc_template.yaml"
            iconremap: "${paths.base_dir}/run/namelists/iconremap_template.yaml"
        real:
            iconsub: "${paths.base_dir}/run/namelists/iconsub.nml"
            iconremapfields_latbc: "${paths.base_dir}/run/namelists/iconremapfields_latbc.nml"
            iconremapfields_initc: "${paths.base_dir}/run/namelists/iconremapfields_initc.nml"
            iconremap: "${paths.base_dir}/run/namelists/iconremap.nml"

remapping:
    overwrite_weights : False
    tmp_weight_file : "ncstorage.tmp"
    model_timesteps : [25, 40]
    dates : ["2020-02-14", "2020-02-14"]
    init_date : "2020-02-14"
    init_timestep : 25
    interp_method : 3

compute:
    icon_threads : 6
    omp_num_threads : 6
    omp_schedule : 'dynamic,1'
    omp_dynamic : false
    omp_stacksize : '4096M'
    mpi_procs_pernode : 6
